### Name: fabiasp
### Title: Factor Analysis for Bicluster Acquisition: Sparseness Projection
###   (FABIASP)
### Aliases: fabiasp
### Keywords: methods multivariate cluster

### ** Examples


#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]


resEx <- fabiasp(X,50,0.8,1.0,3)

## Not run: 
##D #---------------
##D # DEMO1
##D #---------------
##D 
##D dat <- make_fabi_data_blocks(n = 1000,l= 100,p = 10,f1 = 5,f2 = 5,
##D   of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
##D   sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)
##D 
##D X <- dat[[1]]
##D Y <- dat[[2]]
##D 
##D resToy <- fabiasp(X,200,0.6,1.0,13)
##D 
##D rToy <- extract_plot(X,resToy$L,resToy$Z,"ti=FABIASP",Y=Y)
##D 
##D #---------------
##D # DEMO2
##D #---------------
##D 
##D data(Breast_A)
##D 
##D X <- as.matrix(XBreast)
##D 
##D resBreast <- fabiasp(X,200,0.4,1.0,5)
##D 
##D rBreast <- extract_plot(X,resBreast$L,resBreast$Z,ti="FABIASP Breast cancer(Veer)")
##D 
##D #sorting of predefined labels
##D CBreast
##D 
##D #---------------
##D # DEMO3
##D #---------------
##D 
##D data(Multi_A)
##D 
##D X <- as.matrix(XMulti)
##D 
##D resMulti <- fabiasp(X,200,0.4,1.0,5)
##D 
##D rMulti <- extract_plot(X,resMulti$L,resMulti$Z,"ti=FABIASP Multiple tissues(Su)")
##D 
##D #sorting of predefined labels
##D CMulti
##D 
##D #---------------
##D # DEMO4
##D #---------------
##D 
##D data(DLBCL_B)
##D 
##D X <- as.matrix(XDLBCL)
##D 
##D resDLBCL <- fabiasp(X,200,0.6,1.0,5)
##D 
##D rDLBCL <- extract_plot(X,resDLBCL$L,resDLBCL$Z,ti="FABIASP Lymphoma(Rosenwald)")
##D 
##D #sorting of predefined labels
##D CDLBCL
##D 
## End(Not run)



